org.eclnt.jsfserver.elements.componentnodes

## Class STABLEAREANode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.STABLEAREANode

- All Implemented Interfaces:
    java.io.Serializable

      public class STABLEAREANode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `STABLEAREANode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STABLEAREANode` | `bindActionListener(IActionListenerDelegation value)`
    `STABLEAREANode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindBackground(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindBorder(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindClientname(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindComment(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindDragsend(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindDropshape(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindRendered(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindStableareaid(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `STABLEAREANode` | `setActionListener(java.lang.String value)`
    `STABLEAREANode` | `setAdapterbinding(java.lang.String value)`
    `STABLEAREANode` | `setAttributemacro(java.lang.String value)`
    `STABLEAREANode` | `setBackground(java.lang.String value)`
    `STABLEAREANode` | `setBgpaint(java.lang.String value)`
    `STABLEAREANode` | `setBorder(java.lang.String value)`
    `STABLEAREANode` | `setClientname(java.lang.String value)`
    `STABLEAREANode` | `setComment(java.lang.String value)`
    `STABLEAREANode` | `setConfiginfo(java.lang.String value)`
    `STABLEAREANode` | `setDragsend(java.lang.String value)`
    `STABLEAREANode` | `setDroprastertext(java.lang.String value)`
    `STABLEAREANode` | `setDropreceive(java.lang.String value)`
    `STABLEAREANode` | `setDropshape(java.lang.String value)`
    `STABLEAREANode` | `setFlusharea(boolean value)`
    `STABLEAREANode` | `setFlusharea(java.lang.String value)`
    `STABLEAREANode` | `setId(java.lang.String value)`
    `STABLEAREANode` | `setPopupmenu(java.lang.String value)`
    `STABLEAREANode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `STABLEAREANode` | `setReference(java.lang.String value)`
    `STABLEAREANode` | `setRendered(boolean value)`
    `STABLEAREANode` | `setRendered(java.lang.String value)`
    `STABLEAREANode` | `setStableareaid(java.lang.String value)`
    `STABLEAREANode` | `setStyleseq(java.lang.String value)`
    `STABLEAREANode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### STABLEAREANode

          public STABLEAREANode()

  - ### Method Detail

    - #### setId

          public STABLEAREANode setId(java.lang.String value)

    - #### setActionListener

          public STABLEAREANode setActionListener(java.lang.String value)

    - #### bindActionListener

          public STABLEAREANode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public STABLEAREANode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public STABLEAREANode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public STABLEAREANode setAttributemacro(java.lang.String value)

    - #### setBackground

          public STABLEAREANode setBackground(java.lang.String value)

    - #### bindBackground

          public STABLEAREANode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public STABLEAREANode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public STABLEAREANode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public STABLEAREANode setBorder(java.lang.String value)

    - #### bindBorder

          public STABLEAREANode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public STABLEAREANode setClientname(java.lang.String value)

    - #### bindClientname

          public STABLEAREANode bindClientname(IDynamicContentBindingObject value)

    - #### setComment

          public STABLEAREANode setComment(java.lang.String value)

    - #### bindComment

          public STABLEAREANode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public STABLEAREANode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public STABLEAREANode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDragsend

          public STABLEAREANode setDragsend(java.lang.String value)

    - #### bindDragsend

          public STABLEAREANode bindDragsend(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public STABLEAREANode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public STABLEAREANode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public STABLEAREANode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public STABLEAREANode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public STABLEAREANode setDropshape(java.lang.String value)

    - #### bindDropshape

          public STABLEAREANode bindDropshape(IDynamicContentBindingObject value)

    - #### setFlusharea

          public STABLEAREANode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public STABLEAREANode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public STABLEAREANode setFlusharea(boolean value)

    - #### setPopupmenu

          public STABLEAREANode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public STABLEAREANode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public STABLEAREANode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public STABLEAREANode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public STABLEAREANode setReference(java.lang.String value)

    - #### setRendered

          public STABLEAREANode setRendered(java.lang.String value)

    - #### bindRendered

          public STABLEAREANode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public STABLEAREANode setRendered(boolean value)

    - #### setStableareaid

          public STABLEAREANode setStableareaid(java.lang.String value)

    - #### bindStableareaid

          public STABLEAREANode bindStableareaid(IDynamicContentBindingObject value)

    - #### setStyleseq

          public STABLEAREANode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public STABLEAREANode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public STABLEAREANode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public STABLEAREANode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.